//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wResolvePane:
//   Generates a form used for constructing a resolve command


#ifndef p4wResolvePane_H
#define p4wResolvePane_H

#include "p4wRunPane.h"


class StrDict;

class p4wResolvePane : public p4wRunPane {

public:
	p4wResolvePane( p4wView & ParentView, p4wRequest & Request, 
		int isFileBrowser );
	virtual		~p4wResolvePane();

	//
	// Render functions.
	
	virtual void	Begin();
	virtual	void	Render( StrDict * varList );
	virtual	void	End();

	//
	// Overrides for spec edit panes.
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
		StrDict * varList, int len, SpecElem *se ) { return 0; };
	virtual void	HandleError( Error *err );
	
private:
	int	fIsFileBrowser;
	int	fGotOneFile;
};

#endif // p4wResolvePane_H
